summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-03-31 22:55:28 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-04-01 19:34:17 +0200
commit4a5f909c5fcb47b87670767582a453703d5a554a (patch)
treef9a48e2e8132bd0b2c19e37e4e00d70fbc9ea252 /app-portage/kuroo
parentdev-lang/qu-prolog: Drop Qt4-based ebuild (diff)
downloadgentoo-4a5f909c5fcb47b87670767582a453703d5a554a.tar.gz
gentoo-4a5f909c5fcb47b87670767582a453703d5a554a.tar.bz2
gentoo-4a5f909c5fcb47b87670767582a453703d5a554a.zip
app-portage/kuroo: Add 0.90.5_p20180106 Qt5-based snapshot
Bug: https://bugs.gentoo.org/633506 Tested-by: Andrius Štikonas <andrius@stikonas.eu> Package-Manager: Portage-2.3.27, Repoman-2.3.9
Diffstat (limited to 'app-portage/kuroo')
-rw-r--r--app-portage/kuroo/Manifest1
-rw-r--r--app-portage/kuroo/kuroo-0.90.5_p20180106.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/app-portage/kuroo/Manifest b/app-portage/kuroo/Manifest
index b505f9c1461..26025244876 100644
--- a/app-portage/kuroo/Manifest
+++ b/app-portage/kuroo/Manifest
@@ -1 +1,2 @@
+DIST kuroo-0.90.5_p20180106.tar.xz 242108 BLAKE2B 6f72ed347f98cfffa3cf3d965065b25b72607111d04952cf821b97cd6b73944b930af1e61955ddb0df6e7fdf91b3901d14b016de76971a95bf9bb36e9e00f355 SHA512 10431273357098e236c11253f456cee0320115108e058d0c31383f709b0488402ced368380dfe1fc30844cac7619da974f526ec22cea95361187c61d1fe67c61
DIST kuroo4-0.90.5.tar.gz 342698 BLAKE2B 4d9f41214fc50dafdd387835b3084617568bcfd3497f01eb15905d9d5dcf03b1072e3e8564ec3d7adfa3d6b3a617f459beb67426b924e0be51f29bf246f01dea SHA512 aed2ec984b77768f5325b41b01ea1c63e214e45699f9c29e1bf11cf7d6ff6ecc6660c2cc07948d0fc66f0469154fa00e1df9e78d330ad426db86a70db85f400f
diff --git a/app-portage/kuroo/kuroo-0.90.5_p20180106.ebuild b/app-portage/kuroo/kuroo-0.90.5_p20180106.ebuild
new file mode 100644
index 00000000000..fb6e2f08eb8
--- /dev/null
+++ b/app-portage/kuroo/kuroo-0.90.5_p20180106.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Graphical Portage frontend based on KDE Frameworks"
+HOMEPAGE="https://sourceforge.net/projects/kuroo/"
+SRC_URI="https://dev.gentoo.org/~asturm/distfiles/${P}.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE=""
+
+COMMON_DEPEND="
+ dev-db/sqlite:3
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ kde-frameworks/kconfig:5
+ kde-frameworks/kconfigwidgets:5
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/kdelibs4support:5
+ kde-frameworks/ki18n:5
+ kde-frameworks/kio:5
+ kde-frameworks/kitemviews:5
+ kde-frameworks/knotifications:5
+ kde-frameworks/ktextwidgets:5
+ kde-frameworks/kwidgetsaddons:5
+ kde-frameworks/kxmlgui:5
+ kde-frameworks/threadweaver:5
+"
+RDEPEND="${COMMON_DEPEND}
+ app-portage/gentoolkit
+ kde-apps/kompare:5
+ kde-plasma/kde-cli-tools:5[kdesu]
+"
+DEPEND="${COMMON_DEPEND}
+ kde-frameworks/extra-cmake-modules:5
+"
+
+pkg_postinst() {
+ if ! has_version app-admin/logrotate ; then
+ elog "Installing app-admin/logrotate is recommended to keep"
+ elog "portage's summary.log size reasonable to view in the history page."
+ fi
+
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}